package com.bonus.canteen.core.order.client.po;

import cn.hutool.core.collection.CollUtil;

import java.util.List;

public class CustPlaceListQueryParam {
   private List<Long> userIds;
   private List<Long> placeIds;
   private Long superId;

   public static CustPlaceListQueryParam ofUserId(Long custId) {
      CustPlaceListQueryParam param = new CustPlaceListQueryParam();
      param.setUserIds(CollUtil.toList(new Long[]{custId}));
      return param;
   }

   public static CustPlaceListQueryParam ofPlaceIds(List<Long> placeIds) {
      CustPlaceListQueryParam param = new CustPlaceListQueryParam();
      param.setPlaceIds(placeIds);
      return param;
   }

   public static CustPlaceListQueryParam ofSuperId(Long superId) {
      CustPlaceListQueryParam param = new CustPlaceListQueryParam();
      param.setSuperId(superId);
      return param;
   }

   public List<Long> getUserIds() {
      return this.userIds;
   }

   public List<Long> getPlaceIds() {
      return this.placeIds;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public void setUserIds(final List<Long> userIds) {
      this.userIds = userIds;
   }

   public void setPlaceIds(final List<Long> placeIds) {
      this.placeIds = placeIds;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

}
